# window: logging - Neırssi documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Note

You are reading the help for the development version. The current release version is Neırssi 1.3.

# window: logging

## Syntax

    WINDOW LOG on|off|toggle [<filename>]

    WINDOW LOGFILE <file>

## Parameters

`LOG`: | Turn on or off logging of the active window, optionally specifying the log file to use.
`LOGFILE`: | Sets the location of the log file to use for window logging without starting to log.

Add the required arguments for the given command. Without arguments, the details (size, immortality, levels, server, name and sticky group) of the currently active window are displayed. If used with a number as argument, same as WINDOW REFNUM.

## Description

Manipulates the window layout and positioning attributes.

## Examples

    /WINDOW LOG OFF
    /WINDOW LOG ON ~/logs/debug.log
    /WINDOW LOGFILE ~/logs/notices.log

## See also

JOIN, LEVELS, LOG, QUERY